package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysBackGroup;

/**
 * 背景配置Mapper接口
 * 
 * @author dcsoft
 * @date 2024-03-01
 */
public interface SysBackGroupMapper 
{
    /**
     * 查询背景配置
     * 
     * @param id 背景配置主键
     * @return 背景配置
     */
    public SysBackGroup selectSysBackGroupById(Long id);

    /**
     * 查询背景配置列表
     * 
     * @param sysBackGroup 背景配置
     * @return 背景配置集合
     */
    public List<SysBackGroup> selectSysBackGroupList(SysBackGroup sysBackGroup);

    /**
     * 新增背景配置
     * 
     * @param sysBackGroup 背景配置
     * @return 结果
     */
    public int insertSysBackGroup(SysBackGroup sysBackGroup);

    /**
     * 修改背景配置
     * 
     * @param sysBackGroup 背景配置
     * @return 结果
     */
    public int updateSysBackGroup(SysBackGroup sysBackGroup);

    /**
     * 删除背景配置
     * 
     * @param id 背景配置主键
     * @return 结果
     */
    public int deleteSysBackGroupById(Long id);

    /**
     * 批量删除背景配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysBackGroupByIds(Long[] ids);

    public int deleteSysBackGroup();
}
